package cn.com.ty.lift.business.project.dao.entity.model.request;

import lombok.Data;

import javax.validation.constraints.NotNull;
import java.time.LocalDate;

/**
 * @author bieao
 * @date 2020/3/2
 * @description 项目管理计划打印
 */
@Data
public class ProjectPrintRequest {
    /**
     * 公司id
     */
    @NotNull(message = "notEmpty")
    private Long mtCompanyId;

    /**
     * 项目id
     */
    @NotNull(message = "notEmpty")
    private Long id;

    /**
     * 当前年月日
     */
    @NotNull(message = "notEmpty")
    private LocalDate beginTime;
}
