package cn.com.ty.lift.business.capital.dao.entity.model.request;

import lombok.Data;

import javax.validation.constraints.NotEmpty;
import javax.validation.constraints.NotNull;
import java.time.LocalDate;

/**
 * @author bieao
 * @date 2020/4/15
 * @description 逾期申请
 */
@Data
public class CapitalRepairApplyRequest {

    /**
     * 项目ID
     */
    @NotNull(message = "notEmpty")
    private Long id;

    /**
     * 逾期时间
     */
    @NotNull(message = "notEmpty")
    private LocalDate overdueDate;

    /**
     * 逾期原因
     */
    @NotEmpty(message = "notEmpty")
    private String overdueReason;
}
